Subject: RE: [Proposed] Externalize man/html ref for quick-install-man and quick-install-html

From: "Randall S. Becker" <[email-masked]>
Date: Mon, 11 Dec 2017 19:26:46 -0500

Sorry about the response positioning...

I can send you a pull request on github, if you want 😉

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Junio C Hamano
Sent: December 11, 2017 6:27 PM
To: Randall S. Becker <[email-masked]>
Cc: [email-masked]
Subject: Re: [Proposed] Externalize man/html ref for quick-install-man and quick-install-html

"Randall S. Becker" <[email-masked]> writes:

> diff --git a/Documentation/Makefile b/Documentation/Makefile index 
> 3e39e28..4f1e6df 100644
> --- a/Documentation/Makefile
> +++ b/Documentation/Makefile
> @@ -39,6 +39,8 @@ MAN_TXT = $(MAN1_TXT) $(MAN5_TXT) $(MAN7_TXT)  
> MAN_XML = $(patsubst %.txt,%.xml,$(MAN_TXT))  MAN_HTML = $(patsubst 
> %.txt,%.html,$(MAN_TXT))
>
> +GIT_MAN_REF = master
> +
>  OBSOLETE_HTML += everyday.html
>  OBSOLETE_HTML += git-remote-helpers.html  DOC_HTML = $(MAN_HTML) 
> $(OBSOLETE_HTML) @@ -415,14 +417,14 @@ require-manrepo::
>         then echo "git-manpages repository must exist at $(MAN_REPO)"; 
> exit 1; fi
>
>  quick-install-man: require-manrepo
> -       '$(SHELL_PATH_SQ)' ./install-doc-quick.sh $(MAN_REPO)
> $(DESTDIR)$(mandir)
> +       '$(SHELL_PATH_SQ)' ./install-doc-quick.sh $(MAN_REPO)
> $(DESTDIR)$(mandir) $(GIT_MAN_REF)

I suspect that this patch is line-wrapped and unusable for the final application, but I think what the change wants to do makes total sense---we are already letting the builder specify where the other repositories for docs are, and it is not such a big stretch to let them also say which branch or tag they want their documentation from.